com.mysql.cj.protocol

## Class InternalDate

- java.lang.Object
- - com.mysql.cj.protocol.InternalDate

Direct Known Subclasses:
  InternalTimestamp

    public class InternalDate
    extends Object

### Field Summary

Fields
`protected int` `day`
`protected int` `month`
`protected int` `year`

### Constructor Summary

Constructors
Constructor and Description
`InternalDate()` Constructs a zero date.
`InternalDate(int year, int month, int day)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static InternalDate` `from(Calendar x)`
`static InternalDate` `from(LocalDate x)`
`int` `getDay()`
`int` `getMonth()`
`int` `getYear()`
`boolean` `isZero()`
`void` `setDay(int day)`
`void` `setMonth(int month)`
`void` `setYear(int year)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### year

    protected int year

#### month

    protected int month

#### day

    protected int day

### Constructor Detail

#### InternalDate

    public InternalDate()

Constructs a zero date.

#### InternalDate

    public InternalDate(int year,
                        int month,
                        int day)

### Method Detail

#### from

    public static InternalDate from(LocalDate x)

#### from

    public static InternalDate from(Calendar x)

#### getYear

    public int getYear()

#### setYear

    public void setYear(int year)

#### getMonth

    public int getMonth()

#### setMonth

    public void setMonth(int month)

#### getDay

    public int getDay()

#### setDay

    public void setDay(int day)

#### isZero

    public boolean isZero()

Copyright © 2016, 2023, Oracle and/or its affiliates.